Package de.tudresden.sumo.objects

## Enum SumoVehicleSignalState

- java.lang.Object
- - java.lang.Enum<SumoVehicleSignalState>
  - - de.tudresden.sumo.objects.SumoVehicleSignalState

- All Implemented Interfaces:
    `SumoObject`, `Serializable`, `Comparable<SumoVehicleSignalState>`

      public enum SumoVehicleSignalState
      extends Enum<SumoVehicleSignalState>
      implements SumoObject

  Author:
    Mario Krumnow, Anja Liebscher

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `VEH_SIGNAL_BACKDRIVE` |
    `VEH_SIGNAL_BLINKER_EMERGENCY` |
    `VEH_SIGNAL_BLINKER_LEFT` |
    `VEH_SIGNAL_BLINKER_RIGHT` |
    `VEH_SIGNAL_BRAKELIGHT` |
    `VEH_SIGNAL_DOOR_OPEN_LEFT` |
    `VEH_SIGNAL_DOOR_OPEN_RIGHT` |
    `VEH_SIGNAL_EMERGENCY_BLUE` |
    `VEH_SIGNAL_EMERGENCY_RED` |
    `VEH_SIGNAL_EMERGENCY_YELLOW` |
    `VEH_SIGNAL_FOGLIGHT` |
    `VEH_SIGNAL_FRONTLIGHT` |
    `VEH_SIGNAL_HIGHBEAM` |
    `VEH_SIGNAL_WIPER` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getPos()` |
    `static SumoVehicleSignalState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SumoVehicleSignalState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VEH_SIGNAL_BLINKER_RIGHT

          public static final SumoVehicleSignalState VEH_SIGNAL_BLINKER_RIGHT

    - #### VEH_SIGNAL_BLINKER_LEFT

          public static final SumoVehicleSignalState VEH_SIGNAL_BLINKER_LEFT

    - #### VEH_SIGNAL_BLINKER_EMERGENCY

          public static final SumoVehicleSignalState VEH_SIGNAL_BLINKER_EMERGENCY

    - #### VEH_SIGNAL_BRAKELIGHT

          public static final SumoVehicleSignalState VEH_SIGNAL_BRAKELIGHT

    - #### VEH_SIGNAL_FRONTLIGHT

          public static final SumoVehicleSignalState VEH_SIGNAL_FRONTLIGHT

    - #### VEH_SIGNAL_FOGLIGHT

          public static final SumoVehicleSignalState VEH_SIGNAL_FOGLIGHT

    - #### VEH_SIGNAL_HIGHBEAM

          public static final SumoVehicleSignalState VEH_SIGNAL_HIGHBEAM

    - #### VEH_SIGNAL_BACKDRIVE

          public static final SumoVehicleSignalState VEH_SIGNAL_BACKDRIVE

    - #### VEH_SIGNAL_WIPER

          public static final SumoVehicleSignalState VEH_SIGNAL_WIPER

    - #### VEH_SIGNAL_DOOR_OPEN_LEFT

          public static final SumoVehicleSignalState VEH_SIGNAL_DOOR_OPEN_LEFT

    - #### VEH_SIGNAL_DOOR_OPEN_RIGHT

          public static final SumoVehicleSignalState VEH_SIGNAL_DOOR_OPEN_RIGHT

    - #### VEH_SIGNAL_EMERGENCY_BLUE

          public static final SumoVehicleSignalState VEH_SIGNAL_EMERGENCY_BLUE

    - #### VEH_SIGNAL_EMERGENCY_RED

          public static final SumoVehicleSignalState VEH_SIGNAL_EMERGENCY_RED

    - #### VEH_SIGNAL_EMERGENCY_YELLOW

          public static final SumoVehicleSignalState VEH_SIGNAL_EMERGENCY_YELLOW

  - ### Method Detail

    - #### values

          public static SumoVehicleSignalState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SumoVehicleSignalState c : SumoVehicleSignalState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SumoVehicleSignalState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPos

          public int getPos()